package com.mosty.base.feign.service;

import com.mosty.base.model.dto.sjzx.TbSjSpbfDTO;
import com.mosty.base.model.entity.lzother.VLz110Txj;
import com.mosty.base.model.entity.lzother.ZhjmxfXfqwXfqyGzdw;
import com.mosty.base.model.entity.sjzx.TbJq;
import com.mosty.base.model.entity.sjzx.TbJqCjdb;
import com.mosty.base.model.entity.xinzhi.GxCjdb;
import com.mosty.base.model.entity.xinzhi.Jjdb;
import com.mosty.base.model.vo.sjzx.TbJqVo;
import com.mosty.base.model.vo.xinzhi.GxAlarmAllVo;
import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author dw
 * @since 2022/7/23
 * 数据中心对外调用接口 feign
 **/
@FeignClient(value = "mosty-sjzx")
public interface MostySjzxFeignService {

    // 根据内容信息查询数据
    @PostMapping("/mosty-sjzx/tbJq/selectVigilantList")
    ResponseResult selectVigilant(@RequestBody String jsnr);

    // 视频播放
    @PostMapping("/mosty-sjzx/tbSjSpbf/add")
    ResponseResult tbSjSpbfAdd(@RequestBody TbSjSpbfDTO tbSjSpbf);

    // 添加新稚警情信息到数据库中
    @PostMapping("/mosty-sjzx/tbJq/addXzjq")
    ResponseResult<Void> addXzjq(@RequestBody GxAlarmAllVo entity);

    // 添加高新新稚警情信息到数据库中
    @PostMapping("/mosty-sjzx/tbJq/addXzJqCjdb")
    ResponseResult<Void> addXzJqCjdb(@RequestBody GxCjdb cjdb);

    // 添加仁寿警情信息到数据库中
    @PostMapping("/mosty-sjzx/tbJq/addRsJq")
    ResponseResult<Void> addRsJq(@RequestBody TbJq entity);

    // 获取最新的一条警情信息
    @GetMapping("/mosty-sjzx/tbJq/getLastJq")
    ResponseResult<TbJqVo> getLastJq();

    // 获取最新一条处警单数据
    @GetMapping("/mosty-sjzx/tbJq/getLastJqCjdb")
    ResponseResult<TbJqCjdb> getLastJqCjdb();

    // 添加仁寿处警单数据
    @PostMapping("/mosty-sjzx/tbJq/addRsCjdb")
    ResponseResult<TbJqCjdb> addRsCjdb(@RequestBody TbJqCjdb cjdb);

    // 添加泸州感知源信息
    @PostMapping("/mosty-sjzx/tbJq/addLzGzy")
    ResponseResult<TbJqCjdb> addLzGzy(ZhjmxfXfqwXfqyGzdw dto);

    // 添加泸州警情信息
    @PostMapping("/mosty-sjzx/tbJq/addLzJq")
    ResponseResult<Void> addLzJq(@RequestBody VLz110Txj lz110);

    // 添加宜宾警情信息
    @PostMapping("/mosty-sjzx/tbJq/addYbJq")
    ResponseResult<Void> addYbJq(@RequestBody Jjdb jjdb);

    // 添加泸州海能达警情信息
    @PostMapping("/mosty-sjzx/tbJq/addLzHndJq")
    ResponseResult<Void> addLzHndJq(@RequestBody Jjdb jjdb);

    // 查询警情详情
    @GetMapping("/mosty-sjzx/tbJq/{id}")
    ResponseResult<TbJqVo> queryById(@PathVariable("id") String id);

    // 修改警情处置状态
    @PostMapping("/mosty-sjzx/tbJq/updateJqCzzt")
    ResponseResult<TbJq> updateJqCzzt(@RequestParam("id") String id, @RequestParam("czzt") String czzt);

    // 查询没得经纬度的接警单编号
    @GetMapping("/mosty-sjzx/tbJq/selectJjdbh")
    ResponseResult<List<String>> selectJjdbh();


    // 修改经纬度
    @PostMapping("/mosty-sjzx/tbJq/updateJqJwd")
    ResponseResult<Void> updateJqJwd(@RequestBody Jjdb jjdb);

}
